Gentoo Archives: gentoo-user-cs

From: "Honza Macháček" <Hloupy.Honza@×××××××.cz>
To: gentoo-user-cs@l.g.o
Subject: Re: [gentoo-user-cs] kde a emerge -up --deep world
Date: Wed, 04 Apr 2007 06:42:58
Message-Id: 461348D7.6050604@centrum.cz
In Reply to: Re: [gentoo-user-cs] kde a emerge -up --deep world by Vlastimil Babka
Dne 03.04.2007 22:43, Vlastimil Babka píše:

> Rekl bych ze za to muze ten digikam, i kdyz nechapu proc. V RDEPEND ma > tohle: || ( ( kde-base/kgamma kde-base/kamera ) kde-base/kdegraphics ) > > Podle toho poradi by se ti mel nainstalovat kgamma a kamera (split > ebuilds) a ne kus monolitickyho KDE (kdegraphics) ktery potrebuje dalsi > monoliticky kus (kdebase).
Ovšem 03.04.2007 22:28, Petr Podrabsky píše:
> emerge -upv --deep world > > These are the packages that would be merged, in order: > > Calculating world dependencies ..... ..... ..... done! > [ebuild U ] kde-base/kdelibs-3.5.5-r10 [3.5.5-r9] USE="alsa cups > ssl tiff xinerama -acl -arts -avahi -debug -doc -fam -jpeg2k > -kdeenablefinal -kdehiddenvisibility -kerberos -legacyssl -lua > -openexr -spell -utempter -zeroconf" LINGUAS="-he" 0 kB > [ebuild N ] kde-base/kdebase-3.5.5-r3 USE="cups opengl pam ssl > xinerama -arts -debug -hal -ieee1394 -java -kdeenablefinal > -kdehiddenvisibility -ldap -lm_sensors -logitech-mouse -openexr -samba > -xcomposite -xscreensaver -zeroconf" 0 kB > [ebuild U ] kde-base/kdegraphics-3.5.5-r2 [3.5.2] USE="opengl pdf*
^^^ ^^^^^^^^^^^^^^^^^^^^^ ^^^^^ Emerge tedy chce kdegraphics nikoliv instalovat, nýbrž upgradovat. Protože nevím kde vzít kdegraphics-3.5.2.ebuild, nemohu si ověřit, na čem závisela ona stará verze -- mohu jen hádat, že buď přímo patřila k modulární instalaci KDE nebo s ní aspoň byla slučitelná a nežádala natvrtdo monolitické kde-base/kdebase. Jestliže 03.04.2007 23:14, Petr Podrabsky píše:
> Opravdu, je to tak. Po odstraneni digikam-u je vse v pohode. Diky moc.
domnívám se, že kdegraphics byl v systému jen jako závislost -- čili není ve world a možná nebrání upgradu world, když už tam není ani digikam (a zřejmě ani nic jiného, co by něco souvisícího s kdegraphics potřebovalo), ale pravděpodobně stále ještě v počítači straší. Myslím, že bude vhodné, a před novou instalací digikamu nejspíš přímo nutné, odinstalovat kdegraphics (a případně nahradit kdegraphics-meta nebo jen vybranými balíčky; digikam by si měl své závislosti vyžádat sám). Mějte se krásně. Honza Macháček -- gentoo-user-cs@g.o mailing list

Replies

Subject Author
Re: [gentoo-user-cs] kde a emerge -up --deep world Vlastimil Babka <caster@g.o>